import matplotlib.pyplot as plt
numargs = gumbel_l.numargs
[  ] = [0.9,] * numargs
rv = gumbel_l()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = gumbel_l.cdf(x, )
h = plt.semilogy(np.abs(x - gumbel_l.ppf(prb, )) + 1e-20)

# Random number generation

R = gumbel_l.rvs(size=100)
